Query runtime list¶
Query the specified runtime manifest.
HTTP
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/agent-runtime-manifests/{manifest_id}
Before you call this API¶
Configure the regional API endpoint and authentication, and select the target workspace.
Set the operation-specific values used in the request: $MANIFEST_ID.
Request¶
Shell
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/agent-runtime-manifests/$MANIFEST_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
Successful response¶
Returns 200 and the runtime manifest on success.
JSON
{"code":0,"data":{"id":"manifest_01"}}
The response fields are as follows.
Field |
Type |
Description |
|---|---|---|
|
string |
Manifest ID. |
Error response¶
JSON
{"code":5,"message":"manifest not found"}
Last updated on